using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace New_College.Model.Models
{
    public class D_University : EntityModel
    {
        [SugarColumn(IsNullable = true)]
        public string Name { get; set; }

        /// <summary>
        /// 省id
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Area_Id { get; set; }

        /// <summary>
        /// 省name
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public string Area_Name { get; set; }

        /// <summary>
        /// 排名
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Rank { get; set; }

        /// <summary>
        /// 创办时间
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public string Build_Date { get; set; }

        /// <summary>
        /// 办学性质 1、公立，2、私立
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Nature { get; set; }

        /// <summary>
        /// 隶属于 1、教育部，2、省政府, 3 其他部委，4 军校
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Ascription { get; set; }

        /// <summary>
        ///教育行政主管部门名称
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public string AscriptionName { get; set; }

        /// <summary>
        /// 学科层次  1、本科，2、专科
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Subject_Level { get; set; }

        /// <summary>
        /// 是否985 0、否，1、是
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Nhef { get; set; }

        /// <summary>
        /// 是否211 0、否，1、是
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Sff { get; set; }

        /// <summary>
        /// 是否双一流 0、否，1、是
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Syl { get; set; }

        /// <summary>
        /// 院士数
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Academician_Count { get; set; }

        /// <summary>
        /// 博士数
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Doctorate_Count { get; set; }

        /// <summary>
        /// 硕士数
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Master_Count { get; set; }

        /// <summary>
        /// 大学类型 0综合,1理工类，2医学类...
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Type { get; set; }

        /// <summary>
        /// logo
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Logo { get; set; }

        /// <summary>
        /// 院校官网
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public string Web { get; set; }

        /// <summary>
        /// 院校简介
        /// </summary>
        [SugarColumn(ColumnDataType = "longtext", Length = int.MaxValue, IsNullable = true)]
        public string Description { get; set; }
    }
}
